.main-content {
  background: #f4f4f4;
  min-height: calc(var(--win-height));
  background: rgb(244, 244, 244);
}

.center-wrap {
  min-width: 1100px;
  max-width: 1100px;
  margin: 0px auto;
}

/* 赛季选择 */
.page-player-rank .base-select .base-select-arrow {
  background-image: url("https://game.gtimg.cn/images/lpl/web202301/player-rank-sprite.png");
  background-repeat: no-repeat;
  background-size: 300px auto;
}

.page-player-rank .base-select {
  position: absolute;
  top: 50%;
  left: 0;
  z-index: 2;
  width: 400px;
  height: 100%;
  line-height: 1;
  border: solid 1px #32384f;
  border-radius: 4px;
  font-size: 20px;
  text-align: center;
  color: #fff;
  background-color: #0b0a09;
  transform: translateY(-50%);
  cursor: pointer;
  z-index: 999;
  transition: all .3s;
}

.page-player-rank .base-select:hover {
  background-color: #c3001b;
  border: solid 1px #c3001b;
}

.page-player-rank .base-select.white {
  border: solid 1px #b9b9b9;
  color: #676769;
  background-color: #fff;
}

.page-player-rank .base-select.white .base-select-list {
  border: solid 1px #b9b9b9;
  color: #676769;
  background-color: #fff;
}

.page-player-rank .base-select.white .base-select-list li.active {
  color: #fff;
  background-color: #32384f;
}

.page-player-rank .base-select .base-select-value {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  height: 100%;
}

.page-player-rank .base-select .base-select-arrow {
  position: relative;
    width: 24px;
    height: 16px;
  margin-left: 10px;
  background-position: -123px -1px;
}

.page-player-rank .base-select .base-select-arrow.active {
  transform: scaleY(-1);
}

.page-player-rank .base-select .base-select-list {
  display: none;
  position: absolute;
  top: calc(100% + 5px);
  left: 0;
  width: 100%;
  border: solid 1px #32384f;
  border-radius: 4px;
  font-size: 20px;
  text-align: center;
  color: #fff;
  background-color: #0b0a09;
}

.page-player-rank .base-select .base-select-list.active {
  display: block;
}

.page-player-rank .base-select .base-select-list li {
  line-height: 40px;
}

.page-player-rank .base-select .base-select-list li.selected {
  background-color: #c3001b;
}

/* 位置筛选 */
.rank-position-select {
  height: 24px;
  margin-bottom: 12px;
  display: flex;
  justify-content: flex-end;
}
.rank-posi-btn, .player-pos {
  width: 24px;
  height: 24px;
  margin-left: 28px;
  background-position-y: -60px;
}

.rank-posi-btn {
  opacity: 0.4;
  transition: all .3s;
}

/* 鼠标hover上去，兄弟节点颜色变淡 */
.rank-posi-btn:hover {
  opacity: 1;
}

:has(.rank-posi-btn:hover) .rank-posi-btn:not(.rank-posi-btn:hover) {
  opacity: 0.4;
}

.rank-posi-btn.selected {
  opacity: 1;
}
.rank-posi-btn.top, .player-pos.top {
  background-position: 1px -1px;
}
.rank-posi-btn.jug, .player-pos.jug {
  background-position: -21px -1px;
}
.rank-posi-btn.mid, .player-pos.mid {
  background-position: -46px -1px;
}
.rank-posi-btn.ad, .player-pos.ad {
  background-position: -70px -1px;
}
.rank-posi-btn.sup, .player-pos.sup {
  background-position: -94px -1px;
}

.rank-posi-btn, .player-pos {
  position: relative;
  width: 24px;
  height: 24px;
  background-position: -2px -1px;
  transform-origin: left center;
  background: url("https://game.gtimg.cn/images/lpl/web202301/player-rank-sprite.png")
    no-repeat;
  background-size: 300px 120px;
}

/* 筛选 */

.page-player-rank .module {
  position: relative;
}

.page-player-rank .module-filter {
  margin-top: 40px;
  display: flex;
  justify-content: flex-end;
  height: 40px;
  align-items: center;
}

.page-player-rank .back-btn {
  display: block;
  width: 112px;
  height: 100%;
  line-height: 40px;
  border-radius: 4px;
  font-size: 20px;
  text-align: center;
  color: #fff;
  background-color: #0b0a09;
  cursor: pointer;
  text-align: center;
  transition: all .3s;
}

.page-player-rank .back-btn:hover {
  background-color: #d10725;
}

/* module title */
.module-title {
  position: relative;
  padding-left: 12px;
  color: #050c0f;
  font-family: "block-title";
  line-height: 1;
}

.module-title::before {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  width: 3px;
  background-color: #090a0b;
}

.module-title span {
  position: relative;
  display: block;
  height: 40px;
  font-size: 40px;
  top: 5px;
}

.rank {
  position: absolute;
  background-size: cover;
}

.rank-1 {
  background-image: url("https://game.gtimg.cn/images/lpl/web202301/player-rank-1st.png");
}


.rank-box {
  transition: all .3s;
  cursor: pointer;
  border: 2px solid #9d9d9d;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  border-bottom: none;
}

.rank-box:hover {
  border: 2px solid #d10725;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  border-bottom: none;
}

.rank-box .player-name {
  z-index: 1;
  transition: all .3s;
  background-color: #000;
}

.rank-box .player-img {
  z-index: 2;
}

.rank-box .rank {
  z-index: 3;
}

.rank-box:hover .player-name {
  background-image: none;
  background-color: #d10725;
}


/* mvp */
.module-mvp {
  margin-top: 54px;
  height: 320px;
}

.mvp-box {
  position: relative;
  margin-top: 20px;
  width: 100%;
  height: 262px;
  cursor: pointer;
  border: 2px solid #9d9d9d;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  border-bottom: none;
}

.mvp-box img {
  width: 100%;
  display: block;
}

.mvp-box .player-name {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 64px;
  line-height: 64px;
  color: #f5f5f5;
  font-size: 26px;
  font-family: "block-title";
  text-indent: 30px;
  background-image: url("//game.gtimg.cn/images/lpl/web202301/player-rank-texture.jpg");
  background-size: cover;
}

.mvp-box .player-img {
  position: absolute;
  bottom: 1px;
  right: 80px;
  width: 350px;
  height: 350px;
}

.mvp-box .team-logo {
  position: absolute;
  width: 80px;
  height: 80px;
  top: 12px;
  right: 12px;
}

.mvp-box .rank {
  width: 149px;
  height: 151px;
  bottom: 76px;
  left: 25px;
}

/* 维度数据 dimension */
.module-dimension {
  margin-top: 60px;
}

.module-dimension .content {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin-top: 35px;
  row-gap: 30px;
  column-gap: 40px;
}

.dimension-box {
  overflow: hidden;
  position: relative;
  width: calc(217px * 0.9);
  height: calc(279px * 0.9);
  box-sizing: border-box;
  border: 2px solid #9d9d9d;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  border-bottom: none;
  cursor: pointer;
}

.dimension-box img {
  width: 100%;
  display: block;
}

.dimension-box .player-name {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: calc(45px * 0.9);
  line-height: calc(50px * 0.9);
  color: #f5f5f5;
  font-size: calc(24px * 0.9);
  font-family: "block-title";
  text-align: center;
  background-image: url("//game.gtimg.cn/images/lpl/web202301/player-rank-texture.jpg");
  background-size: cover;
  background-position-x: calc(-520px * 0.9);
}

.dimension-box .player-img {
  position: absolute;
  bottom: calc(45px * 0.9);
  left: 50%;
  transform: translateX(-50%);
  width: calc(214px * 0.9);
}

.dimension-box .team-logo {
  position: absolute;
  width: calc(50px * 0.9);
  height: calc(50px * 0.9);
  top: 0;
  right: 0;
}

.dimension-box .rank {
  width: calc(79px * 0.9);
  height: calc(80px * 0.9);
  bottom: calc(50px * 0.9);
  left: calc(10px * 0.9);
}

.dimension-item {
  position: relative;
}

.dimension-item .title {
  height: 40px;
  line-height: 40px;
  font-size: 18px;
  color: #000;
  font-weight: bolder;
}

/* 列表 */
.module-rank-list {
  padding-bottom: 40px;
}

.module-rank-list .module-title {
  margin-top: 30px;
  margin-bottom: 30px;
}

.module-rank-list .rank-title {
  position: relative;
  display: flex;
  height: 24px;
  color: #de253f;
  font-size: 24px;
  font-weight: bolder;
  text-align: center;
  margin-bottom: 30px;
}

.module-rank-list .rank-title div {
  position: relative;
  top: -6px;
}

.module-rank-list .rank-item {
  position: relative;
  display: flex;
  width: 100%;
  height: 60px;
  background-size: cover;
  box-shadow: 1px 1px 15px rgba(0, 0, 0, 0.05);
  border-radius: 8px;
  cursor: pointer;
  transition: all .3s;
}

.module-rank-list .rank-item:hover .backdrop {
  filter: brightness(0.8);
}

.module-rank-list .rank-item .backdrop {
  position: absolute;
  background-image: url("//game.gtimg.cn/images/lpl/web202301/player-rank-list-bg.png");
  background-size: cover;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 1;
  transition: all 0.3s;
  border-radius: 8px;
}

.module-rank-list .rank-item a {
  display: flex;
  width: 100%;
  height: 100%;
  z-index: 2;
}


.module-rank-list .rank-item:nth-child(n+2) {
  margin-top: 47px;
}

.module-rank-list .rank-item img {
  width: 100%;
  height: auto;
}

.module-rank-list .rank-title > div:nth-child(1),
.module-rank-list .rank-item .rank-col:nth-child(1) {
  width: 80px;
}

.module-rank-list .rank-title > div:nth-child(2),
.module-rank-list .rank-item .rank-col:nth-child(2) {
  width: 130px;
}

.module-rank-list .rank-title > div:nth-child(3),
.module-rank-list .rank-item .rank-col:nth-child(3) {
  width: 200px;
}

.module-rank-list .rank-title > div:nth-child(4),
.module-rank-list .rank-item .rank-col:nth-child(4) {
  width: 150px;
}

.module-rank-list .rank-title > div:nth-child(5),
.module-rank-list .rank-item .rank-col:nth-child(5) {
  width: 100px;
}

.module-rank-list .rank-title > div:nth-child(6),
.module-rank-list .rank-item .rank-col:nth-child(6) {
  flex: 1;
}

.module-rank-list .rank-title > div:nth-child(7),
.module-rank-list .rank-item .rank-col:nth-child(7) {
  width: 120px;
}

.module-rank-list .rank-item .rank-icon {
  position: relative;
  top: 50%;
  transform: translateY(-50%);
  text-align: center;
  font-size: 48px;
  color: #fff;
  font-family: "Knucklehead";
  font-weight: bold;
}

.module-rank-list .rank-item .rank-icon.rank-1,
.module-rank-list .rank-item .rank-icon.rank-2,
.module-rank-list .rank-item .rank-icon.rank-3 {
  background-image: url("https://game.gtimg.cn/images/lpl/web202301/player-rank-sprite.png");
  background-size: 240px auto;
  width: 64px;
  height: 64px;
    /* background-size: 300px auto;
  width: 80px;
  height: 80px; */
  color: #f72e2e;
  /* line-height: 100px; */
  line-height: 85px;
}

.module-rank-list .rank-item .rank-icon.rank-normal {
  width: 64px;
  height: 64px;
  background-color: #949494;
  line-height: 84px;
  clip-path: polygon(10% 0, 100% 0, 100% 90%, 90% 100%, 0 100%, 0 10%);
}

.module-rank-list .rank-item .rank-icon.rank-1 {
  /* background-position: 0 -28px; */
  background-position: 0 calc(-28px * 0.8);
}

.module-rank-list .rank-item .rank-icon.rank-2 {
  background-position: calc(-83px * 0.8) calc(-28px * 0.8);
}

.module-rank-list .rank-item .rank-icon.rank-3 {
  background-position: calc(-166px * 0.8) calc(-28px * 0.8);
}

.module-rank-list .rank-item .player-img-box {
  position: relative;
}

.module-rank-list .rank-item .player-img {
  position: absolute;
  width: 100px;
  height: 100px;
  bottom: 0;
  right: 0;
}

.module-rank-list .rank-item .player-name {
  color: #181818;
  font-size: 24px;
  font-family: "block-title";
  text-align: center;
  line-height: 67px;
}


.module-rank-list .rank-item .team-logo-box {
  display: flex;
  justify-content: center;
  align-items: center;
}

.module-rank-list .rank-item .team-logo {
  width: 60px;
  height: 60px;
}

.module-rank-list .rank-item .player-pos-box {
  display: flex;
  justify-content: center;
  align-items: center;
}

.module-rank-list .rank-item .player-pos {
  transform: scale(1.2);
  margin: 0;
}

.module-rank-list .rank-item .player-info,
.module-rank-list .rank-item .match-count {
  font-size: 22px;
  color: #181818;
  font-weight: bolder;
  text-align: center;
  line-height: 60px;
}

.module .fallback {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  text-align: center;
  min-height: 300px;

  font-size: 26px;
  color: #000;
  font-weight: bolder;
}